
%global base_name  discovery
%global short_name commons-%{base_name}
%global section    free

Name:           apache-%{short_name}
Version:        0.4
Release:        1%{?dist}
Summary:        Apache Commons Discovery
License:        ASL 2.0
Group:          Development/Libraries
URL:            http://commons.apache.org/%{base_name}
Source0:        http://www.apache.org/dist/commons/%{base_name}/source/%{short_name}-%{version}-src.tar.gz
Patch0:         %{name}-addosgimanifest.patch
BuildArch:      noarch
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant
BuildRequires:  ant-nodeps
BuildRequires:  junit >= 0:3.7
BuildRequires:  apache-commons-logging >= 1.1.1
Requires:       apache-commons-logging >= 1.1.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides:       jakarta-%{short_name} = 1:0.4
Obsoletes:      jakarta-%{short_name} <= 1:0.4

%description
The Discovery component is about discovering, or finding, implementations for
pluggable interfaces.  Pluggable interfaces are specified with the intent that
multiple implementations are, or will be, available to provide the service
described by the interface.  Discovery provides facilities for finding and
instantiating classes, and for lifecycle management of singleton (factory)
classes.

%package javadoc
Group:          Documentation
Summary:        API documentation for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{short_name}-%{version}-src
%patch0

%build
ant \
  -Djunit.jar=%(find-jar junit) \
  -Dlogger.jar=%(find-jar commons-logging) \
  test.discovery dist

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 644 dist/%{short_name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

pushd $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}.jar %{short_name}-%{version}.jar
for jar in *-%{version}.jar;
    do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`;
done
popd # come back from javadir

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt
%{_javadir}/*

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Thu May  6 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.4-1
- Rename and cleanup of jakarta-commons-discovery

